## Index

### Functions

- findByCategoryId
- findById
- findBySearchQuery

## Functions

### findByCategoryId

- findByCategoryId(categoryId: string): Promise<PaginatedProductResult>

- - Defined in src/commerce/services/products.ts:5

  #### Parameters

  - ##### categoryId: string

  #### Returns Promise<PaginatedProductResult>

### findById

- findById(productId: string): Promise<Product>

- - Defined in src/commerce/services/products.ts:33

  #### Parameters

  - ##### productId: string

  #### Returns Promise<Product>

### findBySearchQuery

- findBySearchQuery(q: string, language?: string): Promise<PaginatedProductResult>

- - Defined in src/commerce/services/products.ts:19

  #### Parameters

  - ##### q: string

  - ##### Default value language: string = "en"

  #### Returns Promise<PaginatedProductResult>

Generated using TypeDoc